#################################################################################
# File:				test_address.tcl
# Author:			M Shaw
# Purpose:			Test cases for addressing commands
# Language:			Ticol Tcl v1.23+
#
# Versions:
# 1.00 09/Jul/2017	First version
#################################################################################
# Notes:
# Add ofaddress, addressofb, ofaddressb
#################################################################################

# Move to test_addressof ?
# addressof
textcolor yellow
puts "Testing \[addressof\]"
textcolor

puts "Line: "#__LINE__
set x 10 
assert [addressof x] {!= $_ 0} -v -line #__LINE__
assert [addressof x] {> $_ 0} -v -line #__LINE__
# Should err
#assert [addressof $x] {!= $_ 0} -v -line #__LINE__
#assert [addressof $x] {> $_ 0} -v -line #__LINE__
newline


# addressofb
puts "Line: "#__LINE__
textcolor yellow
puts "Testing \[addressofb\]"
textcolor

puts "Line: "#__LINE__
set line #__LINE__
assert [addressofb x] {!= $_ 0} -v -line #__LINE__
assert [addressofb x] {> $_ 0} -v -line #__LINE__

puts "Line: "#__LINE__
unset line x -nocomplain

vars

#####################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #