#################################################################################
# File:				test_addressof.tcl
# Author:			M Shaw
# Purpose:			Test cases for addressof* ofaddress*
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 27/Jul/2018	First version
#################################################################################
# Notes:
# Needs improvement
#################################################################################

set s Hello
puts "\$s='$s'"
puts "\[addressof s\]=[addressof s]"
puts "\[addressofb s\]=[addressofb s]"
puts "Round trip: \[ofaddress \[addressof s\]\]=[ofaddress [addressof s]]"
assert [ofaddress [addressof s]] {eq $_ Hello} -v -line #__LINE__
assert [!= [addressof s] [addressofb s]] {== $_ 1} -v -line #__LINE__
newline
puts "\[ofaddressb \[addressofb s\]\]=[ofaddressb [addressofb s]]"
assert [!= [ofaddressb s] [addressofb s]] {== $_ 1} -v -line #__LINE__


unset s -nocomplain
newline

puts -----------------------------------
# FIX Should be tmp=(__int64)&(v->val) for a struct object
struct s {a 20 b 20}
struct set s.a $qbf
struct set s.b Hello
textcolor magenta
puts "\$s='$s'"
puts "\[addressof s\]=[addressof s]"
puts "\[addressofb s\]=[addressofb s]"
textcolor cyan
puts "\$s.a='$s.a'"
puts "\[addressof s.a\]=[addressof s.a]"
puts "\[addressofb s.a\]=[addressofb s.a]"
textcolor green
puts "\$s.b='$s.b'"
puts "\[addressof s.b\]=[addressof s.b]"
puts "\[addressofb s.b\]=[addressofb s.b]"
textcolor
newline
dump s

newline
puts "\[ofaddressb \[addressofb s\]\]=[ofaddressb [addressofb s]]"
assert [!= [ofaddressb s.a] [addressofb s.a]] {== $_ 1} -v -line #__LINE__


# Compare struct addresses
assert [== $s [addressofb s]] {== $_ 1} -v -line #__LINE__

struct t {a 20 b 20}
#assert [== $s [addressofb s]] {== $_ 1} -v -line #__LINE__


unset s t -nocomplain

vars

#################################################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #