###########################################################################
# File: test_array_bugs.tcl
# 
# Version:
# 1.00 23/Feb/2021 First version
###########################################################################
# Notes:
###########################################################################

/*
FIX [array walk a N] does not behave as expected
	Walks allocated empty space not occupied nodes
	For array with size say 250 and 4 occupied nodes, array walk a 4
	returns no results. Should iter occupied nodes and count up to N
	or have switch to specify occupied nodes
ActiveState honours
(System32) 53 % puts a(hello\tworld)
a(hello	world)
(System32) 54 % puts $a(hello\tworld)


*/
###########################################################################
puts "Line: "#__LINE__
set a("hello world") 1
puts "Line: "#__LINE__
set a(hello\ world) 2	# Invalid as has spaces. Command is not grouped
puts "Line: "#__LINE__
#set a(hello\tworld) 3	# Invalid as has spaces. Command is not grouped
puts "Line: "#__LINE__
set a({hello world}) 4	# Invalid as has spaces. Braces fail to group as expected (works in ActiveState)
puts "Line: "#__LINE__
##set a("Hello\tworld") 24
#puts $a("Hello\tworld")
puts "Line: "#__LINE__
array walk a


# EOF #