#######################################################################
# File:				test_calc_explain.tcl
# Author:			M Shaw
# Purpose:			Tests for [calc]
# Language:			Ticol Tcl v1.20c+
#
# Versions:
# 1.00 26/Nov/2016	First version
#######################################################################
# Notes:
# [calc] converts an expression to Tcl "prefix notation"
#######################################################################

option PreProcessor push off							# This is required

set line #__LINE__
assert [calc 1/2.0+3*4 -explain] {eq $_ "[+ [/ 1 2.0] [* 3 4]]"}  -v -line #__LINE__ # [+ [/ 1 2.0] [* 3 4]]
set line #__LINE__
assert [calc 1/2.0+3*4] {== $_ 12.500000000000000} -v -line #__LINE__

option PreProcessor pop


unset line -nocomplain
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
vars
newline
textcolor green
puts "* PASS *"
textcolor

# EOF #