#######################################################################
# File:				test_chain_commands.tcl
# Author:			M Shaw
# Purpose:			Various chaining tests
# Language:			Ticol Tcl v1.19+..v1.26+
#
# Versions:
# 1.00 20/Apr/2015	First version (implemented)
# 1.01 11/Dec/2019	Renamed to avoid conflict with test_chain.tcl
########################################################################

textcolor yellow
puts "In chaincommand.tcl (chain from an external file)\n"
textcolor

puts "Calling if \{!= 0b10101010 \[inttobin \[hextoint \[inttohex \[inttobin \[inttohex \[octtoint \[inttooct 0b010101010\]\]\]\]\]\]\] \}"
if {!= 0b10101010 [inttobin [hextoint [inttohex [inttobin [inttohex [octtoint [inttooct 0b010101010]]]]]]] } {
	die "Multiple number conversion chain FAILED"
}

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
vars	
newline
textcolor green
puts "* Done *"
textcolor

# EOF #

