# Test emptying of <dict> vars using various methods
/*
FIX dict [set] return null/empty casts
ADD direct [set <dictvar> ""] triggers emptying the dict safely
ADD direct [set <dictvar> newvalue] triggers emptying and downcast to VAR_AUTO
DONE FIX borked [dict lappend]
DONE FIX borked [dict size] calling table->size() GPF
*/
#############################################################################################################

# Test return casting with NULL returns triggering emptying of the dict var
puts "Line: "#__LINE__
unset mydict -nocomplain
# A/S % dict set bar moo par
# moo par
puts [dict lappend mydict bar moo par]			# Create a dictionary var
# 1: 0x206ecd0 key:'bar' => 'moo par'
# A/S % puts $mydict
# bar {moo par}
puts "type [type mydict] contents: '$mydict' @"#__LINE__
assert $mydict {eq $_ {bar {moo par}}} -v -line #__LINE__		# A/S 8.6 'bar {moo par}'
dump mydict
dict walk mydict
assert $mydict {eq $_ {bar {moo par}}} -v -line #__LINE__		# A/S 8.6 'bar {moo par}'
# FIX check dict parity

puts "Line: "#__LINE__
#puts "dict remove bar -> '[dict remove $mydict bar]'"		# PASS 
#puts "type dict remove $mydict bar -> '[type [dict remove $mydict bar]]'"
set mydict [dict remove $mydict bar]				# Remove the one and only key, return an empty dictionary
puts "type=[type mydict]"
puts "type=[type mydict]"


assert [type mydict] {eq $_ dictionary} -v -line #__LINE__
assert $mydict {eq $_ {}} -v -line #__LINE__
puts "type=[type mydict]"
puts "size=[dict size mydict]"
assert [dict size mydict] {== $_ 0} -v -line #__LINE__

puts "Line: "#__LINE__
puts "type [type mydict] contents: '$mydict' @"#__LINE__
puts "Line: "#__LINE__
set mydict {}
## FIX ################################################################################
# IF mydict is set from return then GPF on exit
dump mydict
puts "Line: "#__LINE__

#exit
stop

# Test [dict clear] (non standard)
puts "Line: "#__LINE__
unset mydict -nocomplain
dict set mydict foo par moo bar
puts "Mydict is '$mydict'"

