######################################################################################
# File: 			test_dns.tcl
# Purpose:			Test for lib ticol_dns
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
#
# Versions:
# 1.00 22/Oct/2017	First version
######################################################################################
# Notes: 
######################################################################################

lib ticol_dns -nocomplain

textcolor yellow
puts "Testing lib dns ..."
textcolor
newline

if {> [info winver -vernum] 5.0} {			# 2k/XP and higher only
	puts "Running lib ticol_dns tests on Windows [info winver -vernum]"
	newline

	lib ticol_dns -nocomplain
	puts "ticol_dns v[lib ticol_dns -info]"
	assert $true {eq $_ 1} -v -line #__LINE__
	assert [dns localhost] {ne $_ ""} -v -line #__LINE__
	assert [dns localhost] {eq $_ "127.0.0.1"} -v -line #__LINE__

	lib ticol_dns -unload

} else {
	puts "NOT Running lib ticol_dns tests on Windows [info winver -vernum]"
	newline
}


lib ticol_dns -unload

######################################################################################
vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #