###############################################################
# File: 			test_do_while.tcl
# Purpose:			Test file for [do while] [do until]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.22+
#
# Versions:
# 1.00 10/Jan/2017	First version
# 1.01 21/Jul/2017	Replace [checkex] with [assert]
###############################################################
# Notes: 
# DONE FIX not working
###############################################################

option echo on
option expression off

textcolor yellow
puts "Testing \[do while\] ..."
textcolor
newline

set i 0
set limit 5

# DONE Just needs ptrs adjusting. 1 to condition arg and 1 to code arg
set i 0
do while {[< $i $limit]} {
	puts "do while ... i is $i"
	++ i
}
assert $i {== $_ $::limit} -v -line #__LINE__

set i 0
do {
	puts "do ... {} i is $i"
	++ i
} {[< $i $limit]}
assert $i {== $_ $::limit} -v -line #__LINE__

set i 0
do {
	puts "do ... while i is $i"
	++ i
} while {[< $i $limit]}
assert $i {== $_ $::limit} -v -line #__LINE__

set i 0
do {
	puts "do ... until i is $i"
	++ i
} until {[>= $i $limit]}
assert $i {== $_ $::limit} -v -line #__LINE__

set i 0
do until {[>= $i $limit]} {
	puts "do until ... i is $i"
	++ i
}
assert $i {== $_ $::limit} -v -line #__LINE__


unset i limit -nocomplain
unset ::limit -nocomplain

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
vars

textcolor green
newline
puts "* \[do while\] \[do until\] Done *"
textcolor

# EOF #