###############################################################################################
# File:				test_lib_ftp.tcl
# Author:			M Shaw
# Purpose:			Test file ticol_ftp.dll  (NOT FOR RELEASE)
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 --/Nov/2019	First version
###############################################################################################
# Notes:
# Standalone test for local FTP server
###############################################################################################
/*
  ftp hostname get|put|ls filepathspec ?-u username? ?-p password?
    ?-t targetpath? ?-pasv? ?-overwrite? ?-port port? ?-v?
	
  ftp hostname|exists size filespec ?filespec...? ?-u username?
    ?-p password? ?-port port? ?-pasv?	*/
option expression off

lib ticol_ftp -nocomplain

set r [ftp localhost ls "/*.exe" -u admin -p suzanne]

set i 1
	foreach x $r {
	puts "$i: $x"
	++ i
}
assert [lcount $r] {> $_ 0} -v -line #__LINE__

lib ticol_ftp -unload -nocomplain

unset i r x -nocomplain

#################################################################################
newline
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF #