###################################################################################
# File: 			test_wordcount.tcl
# Purpose:			Test [wordcount] in ticol_wordcount.dll
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 27/Jun/2018	For amusement
###################################################################################
# Notes:
###################################################################################
option expression off

textcolor yellow
puts "Testing \[wordcount]\ ..."
textcolor

lib ticol_wordcount -nocomplain

assert [wordcount $qbf] {== $_ 9} -v -line #__LINE__
assert [wordcount qbf -var] {== $_ 9} -v -line #__LINE__
assert [wordcount $qbf -chars] {== $_ 43} -v -line #__LINE__
assert [wordcount qbf -var -chars] {== $_ 43} -v -line #__LINE__

lib ticol_wordcount -unload

##############################################################

vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #