######################################################################################
# File: 			test_nested_struct_deref.tcl
# Purpose:			Test nested dereferences involving struct member fields
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 01/Nov/2019	First version with conversion each way
######################################################################################
# Notes:
# This is a simple test
######################################################################################

textcolor yellow
puts "Testing nested \$ struct member dereferences"
textcolor
newline

struct create st {a 30}
struct set st.a s
set s $qbf
puts ${$st.a}
assert ${$st.a} {eq $_ $qbf} -v -line #__LINE__

unset s -nocomplain
struct unset st -nocomplain

###########################################################################################
newline
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF #