######################################################################################
# File: 			return_exit_do.tcl
# Purpose:			Test that [return] will exit do
# Language:			Ticol Tcl v1.22+
# See also:			return.tcl
#
# Versions:
# 1.00 10/Jan/2017	First version
# 1.01 08/Jul/2017	Replaced [checkex] with [assert]
######################################################################################
# Notes: 
######################################################################################


# This code will exit the for loop and script when $i == 5
textcolor yellow
puts "\[do while\] I will exit the script when i == 5 with no more text visible"
textcolor
catch {
	set i 0
	do {
		if {[== $i 5]} {
			return $i
			puts "I will not be printed if i==5"
		}
		puts "i is $i"
		++ i
	} while  {[< $i 10]}
	puts "I should not be seen"
}
assert $i {== $_ 5} -v -line #__LINE__

unset i -nocomplain

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
option expression off
newline
textcolor green
puts "* \[do ... return\] Done *"
textcolor

# EOF #