######################################################################################
# File: 			return_exit_for.tcl
# Purpose:			Test that [return] will exit for
# Language:			Ticol Tcl v1.23	+
# See also:			return.tcl
#
# Versions:
# 1.00 10/Jan/2017	First version
# 1.01 08/Jul/2017	Replaced [checkex] with [assert]
######################################################################################
# Notes: 
######################################################################################

# This code will exit the for loop and script when $i == 5
textcolor yellow
puts "\[for\] I will exit the script when i == 5 with no more text visible"
textcolor
catch {
	for {set i 0} {[< $i 10]} {++ i} {
		if {[== $i 5]} {
			return $i
			puts "I will not be printed if i==5"
		}
		puts "i is $i"
	}
	puts "I should not be seen"
}

assert $i {== $_ 5} -v -line #__LINE__

unset i -nocomplain

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
option expression off
newline
textcolor green
puts "* \[for ... return\] Done *"
textcolor

# EOF #