######################################################################################
# File: 			return_exit_stackforeach.tcl
# Purpose:			Test that [return] will exit [stack foreach]
# Language:			Ticol Tcl v1.22+
# See also:			return.tcl
#
# Versions:
# 1.00 10/Jan/2017	First version
# 1.01 08/Jul/2017	Replaced [checkex] with [assert]
######################################################################################
# Notes: 
######################################################################################
# This code will exit the for loop and script when $i == 5
# NOT YET IMPLEMENTED

textcolor yellow
puts "\[stack foreach\] I will exit the script when s eq fox with no more text visible"
textcolor
newline

set a {}
set i 0
foreach s $qbf {
	set a($i) $s
	++ i
}
undef var -nocomplain
undef s -nocomplain
catch {
	array foreach a var ss {
		if {[eq $var fox]} {
			textcolor green
			puts "returning var($ss) as $var"
			textcolor
			set ::s $var
			return $var
			puts "I will not be printed if var eq fox"
		}
		puts "var($ss) is $var"
	}
	textcolor red
	puts "I should not be seen as for will return"
	textcolor
}
assert $s {== $_ fox} -v -line #__LINE__

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
option expression off
array unset a -nocomplain
unset i s -nocomplain
vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #