#################################################################################
# File: 			test_setl.tcl
# Purpose:			Tests for [setl]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 31/Aug/2019	First dated version (UNFINISHED)
# 1.01 04/Sep/2019	Renamed as [setl] now [lset] is live
#################################################################################
# Notes: 
# ADD more tests
#################################################################################
option expression off

set s [makestr 50 " "]
assert [string length $s] {== $_ 50} -v -line #__LINE__
setl s "Hello world"
assert [string length $s] {== $_ 50} -v -line #__LINE__
puts "s:'$s'"
assert $s {eq $_ "Hello world                                       "} -v -line #__LINE__

unset s
set s [makestr 10 " "]
assert [string length $s] {== $_ 10} -v -line #__LINE__
setl s "Hello world"
assert [string length $s] {== $_ 10} -v -line #__LINE__
puts "s:'$s'"
assert $s {eq $_ "Hello worl"} -v -line #__LINE__

unset s
set s [makestr 1 " "]
assert [string length $s] {== $_ 1} -v -line #__LINE__
setl s "Hello world"
assert [string length $s] {== $_ 1} -v -line #__LINE__
puts "s:'$s'"
assert $s {eq $_ "H"} -v -line #__LINE__


unset s -nocomplain
vars

#################################################################################
newline
textcolor green
puts "* test_data_ranges.tcl Done *"
textcolor

# EOF #