###########################################################################
# Name:				test_source.tcl
# Purpose:			Test file for [source scriptname]
# Author:           M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 29/Jul/2019	First version
###########################################################################
# Notes:
# Tests for code extracted from [eval scriptname]
###########################################################################

set file test_source_child.tcl
set code "return [/ 22 7.0]"

# Write test_source_child.tcl
writefile $file $code

if {! [file exists $file]} {
	textcolor red
	die "Failed to write test file: '$file'"
	textcolor
}

set r [source test_source_child.tcl]
assert $r {== $_ 3.142857142857143} -v -line #__LINE__


unset code file r -nocomplain
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #



