#####################################################################
# File:				test_strip_whitespace.tcl (not a unit test)
# Purpose:			Tests whitespace stripping (unfinished)
# Author:			M Shaw
# Language:			Ticol Tcl v1.19+, v1.26+
#
# Versions:
# 1.00 ??/???/2015	First version
#####################################################################
# Notes:
# Unfinished. Not a unit test
#####################################################################

option echo on            
option expression off           
set line #__LINE__					       	 	 	 	 	

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
if {! [defined checkex] } {		 	 	 	 	
	proc checkex {x expr} { 	                    			          
		#puts "DEBUG: checkex \$x=$x \$expr=$expr"                          
		upvar i					# Pass-through reference integer 
		upvar line               			            
		#	puts "Trace $line"
		#	upvar NAN NAN		# Global const is N/A (FIX)
		#set line 0
		set NAN "-1.[chr 35]IND00000000000"                              
		# fix puts "\$x==$x: $expr"
		set q {$x}                                
		puts "Line: $line " -nonewline								
		puts "$q=='$x': $expr"	             # fails here at EOF - poss (due to bug in callproc()?) - July 2016
		#puts "eval expr: [eval $expr]"
		if { [eval $expr] } {
			#puts "Expr true"
		} else {			
			textcolor red			
			puts "checkex assertion failed: $q -> $x after line $line"
			textcolor		
			stop	
		}
	}
}
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

if {! [defined check] } {
	proc check {x y} {
		upvar line
		if {!= $x $y} {
			puts "Error in tests at after line $line"
			puts "'$x' != '$y'"
			stop
		}
	}
}
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

textcolor cyan					          			     
lib ticol_bignum -verbose -nocomplain									
textcolor	 	 	 	
newline	 	 	 	

textcolor yellow               
puts "big pow 3 10000 (this will take several seconds) ..."						
textcolor		 	 	 	 
newline					    	 	 

checkex [big pow 3 100] {== $x ""}           

#####################################################################
textcolor green
puts "* Done *"
textcolor	

# EOF #