######################################################################################
# File: 			test_unc_isdir.tcl
# Purpose:			Test for lib ticol_dns
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
#
# Versions:
# 1.00 24/Oct/2017	First version
######################################################################################
# Notes: 
######################################################################################

option expression off

if {eqi [info hostname] "treebeard"} {
	set path \\\\kryten\\smtfs
	puts "\[is_dir $path\]==[bool [is_dir $path]]"
	assert [is_dir $path] {== $_ 1} -v -line #__LINE__

	set path \\\\gandalf\\backups
	puts "\[is_dir $path\]==[bool [is_dir $path]]"
	assert [is_dir $path] {== $_ 1} -v -line #__LINE__
} elseif {eqi [info hostname] lenovo} {
	set path \\\\lenovo\\c$
	puts "\[is_dir $path\]==[bool [is_dir $path]]"
	assert [is_dir $path] {== $_ 1} -v -line #__LINE__
} else {
	puts "Unhandled host [info hostname]"
}


#############################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #