######################################################################################
# File: 			test_variable.tcl
# Purpose:			Test for [file stat]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
# See also:			test_global.tcl
#
# Versions:
# 1.00 16/Oct/2017	First version
######################################################################################
# Notes: 
# [variable] is currently an alias for [global]
######################################################################################

option expression off
option echo on

global g -value Global
assert $g {eq $_ Global} -v -line #__LINE__


variable s Hello
assert $s {eq $_ Hello} -v -line #__LINE__

undef s -nocomplain

#############################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #