###############################################################
# File: 			test_array_item.tcl
# Purpose:			[Testing array item]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 13/Jun/2018	First version
###############################################################
# Notes:
###############################################################
option expression off

array set a {
	one		1
	Two		2
	THREE	3
} -nocase

assert [array item a one] {== $_ 1} -v -line #__LINE__
assert [array item a One -nocase] {== $_ 1} -v -line #__LINE__
assert [array item a ONE -nocase] {== $_ 1} -v -line #__LINE__

assert [array item a one] {== $_ 1} -v -line #__LINE__
assert [array item a One] {== $_ ""} -v -line #__LINE__
assert [array item a ONE] {== $_ ""} -v -line #__LINE__
# */

array unset a -nocomplain

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

newline
textcolor green
puts "* Done *"
textcolor

# EOF #