######################################################################################
# File: 			test_combi_math.tcl
# Purpose:			Test for combination math ops
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
#
# Versions:
# 1.00 24/Oct/2017	First version
######################################################################################
# Notes: 
######################################################################################

option expression off
unset a -nocomplain

set a 0
assert [+= a 0] {== $_ 0} -v -line #__LINE__
assert [-= a 0] {== $_ 0} -v -line #__LINE__
assert [*= a 0] {== $_ 0} -v -line #__LINE__
#assert [/= a 0] {== $_ 0} -v -line #__LINE__
newline

set a 10
assert [+= a 2] {== $_ 12} -v -line #__LINE__
assert [-= a 3] {== $_ 9} -v -line #__LINE__
assert [*= a 2] {== $_ 18} -v -line #__LINE__
assert [/= a 3] {== $_ 6} -v -line #__LINE__

set a -10
assert [+= a 2] {== $_ -8} -v -line #__LINE__
assert [-= a 3] {== $_ -11} -v -line #__LINE__
assert [*= a 4] {== $_ -44} -v -line #__LINE__
assert [/= a 2] {== $_ -22} -v -line #__LINE__

unset a -nocomplain
#############################################################
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF #