###############################################################
# File: 			test_continue.tcl
# Purpose:			Test file for [continue]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.19+..v1.23+
#
# Versions:
# 1.00 23/Aug/2016	First version
# 1.01 17/Jul/2017	Added more tests
###############################################################
# Notes: 
###############################################################
option expression push on

# print a line for each of the integers from 0 to 10 except 5:
set sum 0
for {set x 0} {$x < 10} {incr x} {
    if {$x == 5} {
        continue		# Don't add 5
    }
	+= sum $x
    puts "x is $x"
}
puts "Sum is $sum"

assert $sum {== $_ 40} -v -line #__LINE__
assert $x {== $_ 10} -v -line #__LINE__

option expression pop

unset sum x -nocomplain
###########################################################################################
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF 