############################################################################################
# File: 			test_dict_append.tcl
# Purpose:			Test [dict append]
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 08/Oct/2019	First version
############################################################################################
# Notes:
# ADD more tests
############################################################################################

option expression off

textcolor yellow
puts "Calling \[dict append\] ... @"#__LINE__
textcolor

# FIX dict append should not brace rvalues
unset mydict -nocomplain
puts "Line: "#__LINE__
set mydict [dict create 1 The]
puts "Line: "#__LINE__
dict append mydict 1 " quick brown"		# 1 {The quick brown}
dict append mydict 1 " "				# 1 {The quick brown }
dict append mydict 1 fox				# 1 {The quick brown fox}
puts "Line: "#__LINE__
dict walk mydict
puts $mydict
assert $mydict {eq $_ {1 {The quick brown fox}}} -v -line #__LINE__		# A/S 8.6 '1 {The quick brown fox}'

unset mydict -nocomplain

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #  # # # # # # # # # # # # # #
newline
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF #