###########################################################################
# Name:				test_echo.tcl
# Purpose:			Test [echo] (not a unit test)
# Author:       	M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 31/Jan/2022 Implemented
###########################################################################
# Notes:
# As with [puts], [echo] emits a CRLF pair automatically
###########################################################################


echo "Hello world"

puts "-------------------"
echo "CRLF follows\r\n"
puts "-------------------"

puts "-------------------"
echo "NO CRLF follows\r\n" -nonewline		# Not supported
puts "-------------------"


# EOF #