######################################################################################
# File: 			test_env.tcl
# Purpose:			Test various environment tests
# Language:			Ticol Tcl v1.23+
#
# Versions:
# 1.00 07/Dec/2017	First version

# Notes: 
######################################################################################

option expression off

# setenv
textcolor yellow
puts "[info script] Testing \[setenv\]"
textcolor
newline

set line #__LINE__
setenv test Hello		# Set
assert Hello {eq $_ [getenv test]} -v -line #__LINE__

setenv test ""			# Erase
assert {} {eq $_ [getenv test]} -v -line #__LINE__


unset line -nocomplain
#####################################################
vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #