###############################################################################################
# File:				test_exec.tcl
# Author:			M Shaw
# Purpose:			Test file for [exec]
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 04/Mar/2017	Migrated from tests.tcl
# 1.01 21/Jul/2017	Replace [checkex] with [assert]
# 1.02 01/Aug/2019	Added -crlf option
###############################################################################################
# Notes
###############################################################################################

option expression off

textcolor yellow
puts "Testing \[exec\] ...."
textcolor
newline

# exec ##########################################
# Call Windows CMD.EXE SET /A command
halt
if {> [info winver -vernum] 5.0} {			# XP or higher
	# Exec returns only ERRORLEVEL
	textcolor yellow
	puts "Checking \[exec set /a ...\]"
	textcolor
	newline
	assert [exec set /a _num=(2+3)*5] {== $_ 0} -crlf -v -line #__LINE__
	newline
}

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #