###########################################################################
# File: 		test_input.tcl
# Purpose:		Test the [input] command
# Author: 		M Shaw
# Language:		Ticol Tcl v1.26+
#
# Versions:
# 1.00 13/Apr/2018 First version
###########################################################################
# Notes: 
###########################################################################

# string [input ?length? ?-f colour? ?-b colour? ?-password?]

if {< $tcl_version 1.26} {
	puts "Error: Requires Tcl v1.26 or higher. Found v$tcl_version"
	die
}

textcolor white blue
puts " * This is a manual test and is not part of the automated unit test scheme "
textcolor
newline

puts "Enter 5 chars: "
set s [input 5]
newline
puts "input '$s'"

puts "Enter 20 chars: "
set s [input 20 -f white -b blue]
newline
puts "input '$s'"

puts "Enter 20 chars with password: "
set s [input 20 -password]
newline
puts "input '$s'"


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

newline
textcolor green
puts "* Pass *"
textcolor

# EOF #