########################################################################################
# File:				test_ipconv.tcl
# Purpose:			Test long_to_ip round trip conversion (not a unit test)
# Language:			Ticol Tcl v1.27+
# 
# Versions
# 1.00	17/Feb/2023	First version
########################################################################################
# Notes:
# PASS
########################################################################################

source "defs.tcl"
puts "Looping to $LONG_MAX (round trip)"
loop i 0 $LONG_MAX {
	if {!= $i [ip_to_long [long_to_ip $i]]} {
		die "Failure at $i"
	}
	is_mod $i 100000 {puts $i}
	if {== $i 9776107} {
		textcolor red
		puts "** CHECK **"
		textcolor
	}
}

########################################################################################

# EOF #