###################################################################################
# File: 			test_is_list.tcl
# Purpose:			Test file for [is_list]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
#
# Versions:
# 1.01 29/Oct/2017	First version
###################################################################################
# Notes: 
# Improve: At present it is functionally the same as [is_empty]
# http://wiki.tcl.tk/15314
###################################################################################
option expression off

textcolor yellow
puts "Testing \[is_list\]"
textcolor
newline

assert [is_list {}] {eq $_ 0} -v -line #__LINE__		# Is 0 correct here?
assert [is_list ""] {eq $_ 0} -v -line #__LINE__
assert [is_list a] {eq $_ 1} -v -line #__LINE__
assert [is_list {a b}] {eq $_ 1} -v -line #__LINE__
assert [is_list "a b"] {eq $_ 1} -v -line #__LINE__

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # #
newline
textcolor green
puts "* Done *"
textcolor

# EOF #