#################################################################################################
# File: 			test_lib_clash.tcl
# Purpose:			Testing for clashes between lib loaded at root context with reload in script
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 21/Aug/2018	First version
#################################################################################################
# Notes:
# PASS
# Load lib in this script then chain to another script which loads again
# Seems to be no issue here
#################################################################################################


# Load big 
lib ticol_bignum -verbose

# Run script which reloads same plugin
textcolor yellow
puts "Running test_big.tcl ..."
textcolor
newline
source test_lib_big.tcl

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
newline
textcolor green
puts "* Done *"
textcolor

# EOF #
