###############################################################
# File: 		tsst_rtf.tcl
# Purpose:		Test cases for lib rtf
# Author: 		M Shaw
# Language:		Ticol Tcl v1.19..v1.26
#
# Versions:
# 1.00 20/Aug/2016 First version
###############################################################
# Notes: Not sure what tests to run
# Not linked from tests.tcl
# Spawns RTF reader program
###############################################################

set expression_state [option expression]
option expression off
set echostate [option echo]

textcolor cyan
lib ticol_rtf -verbose
textcolor
newline

set s {}
/*
append s "One\r\n"
append s "two three\r\n"
append s "four"
*/

#/*
append s "0: This file is plaintext in Courier New\r\n"
append s "1:$qbf"
append s "\r\n2:This is a new line\r\n"
append s "\r\n3:Now is the time for all good men to go to the party\r\n"
append s "4:Last line->EOF"
#*/

rtf write test.rtf $s -y -font "Courier New"

# exec start test.rtf
exec write.exe test.rtf

##########################################
option echo $echostate
option expression $expression_state

unset echostate expression_state s -nocomplain

vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
newline
textcolor green
puts "ticol_rtf tests done"
textcolor

# EOF #