################################################################################
# File:			test_ticol_vb.tcl
# Author:		M Shaw
# Purpose:		Tests of lib ticol_vb
# Language:		Ticol Tcl 1.24+
#
# Versions:
# 14/Oct/2017	First version
################################################################################
# Notes:
# Misc VB5 routines ported from VB Toolbox
################################################################################

option echo on

textcolor cyan
lib ticol_vb -verbose -nocomplain
puts v[lib ticol_vb -info]
textcolor
newline

puts "\[ReverseWords \$qbf\] is '[ReverseWords $qbf]'"
assert [ReverseWords $qbf] {eq $_ "ehT kciuq nworb xof spmuj revo eht yzal god"} -v -line #__LINE__
puts "\$qbf is: '$qbf'"

puts "\[WordCount \$qbf\] is [WordCount $qbf]"
assert [WordCount $qbf] {== $_ 9} -v -line #__LINE__

puts "\[CharCount \$qbf\] is [CharCount $qbf]"
assert [CharCount $qbf] {== $_ 43} -v -line #__LINE__

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
newline
vars
newline
textcolor green
puts "* Done *"
textcolor

# EOF #