############################################################################################
# File:				test_listdefs.tcl
# Author:			M Shaw
# Purpose:			Test standard definitions
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 19/Aug/2019 First version
###########################################################################################
# Notes:
# This is a pure macro test. Not suitable for unit testing via tests.tcl
# Use WORD or SHORT ?
###########################################################################################

#exec textcolor yellow
#exec puts "MPP: is testing numeric range macro defines ..."
#exec textcolor

# Refer within source without a $ prefix e.g. CHAR_MIN
# The MPP will detect within substrings e.g. MYCHAR_MIN
#define CHAR_MIN  -128
#define CHAR_MAX   127
#define UCHAR_MIN  0
#define UCHAR_MAX  255
#define SHORT_MIN  -32768
#define SHORT_MAX   32767
#define USHORT_MIN  0
#define USHORT_MAX  65535
#define LONG_MIN  -2147483648
#define LONG_MAX   2147483647
#define ULONG_MIN  0
#define ULONG_MAX  4294967295
#define INT_MIN   -9223372036854775808
#define INT_MAX    9223372036854775807
#define UINT_MIN 0
#define UINT_MAX 18446744073709551615

#define CHAR_BITS 8
#define UCHAR_BITS 8
#define SHORT_BITS 16
#define USHORT_BITS 16
#define LONG_BITS 32
#define ULONG_BITS 32
#define INT_BITS 64
#define UINT_BITS 64
#define DOUBLE_BITS 64
#echo
#deflist
#echo
#echo MPP: Double bits is: 'DOUBLE_BITS' ...
#exec if {== CHAR_MAX 127} {puts "CHAR_MAX is 127"} else {puts "CHAR_NAX is not 127"}
#echo
#echo MPP: * DONE *