###############################################################
# File: 			tsst_misc.tcl
# Purpose:			Miscellaneous test cases
# Author: 			M Shaw
# Language:			Ticol Tcl v1.19+
#
# Versions:
# 1.00 19/Aug/2016	First version
###############################################################
# Notes: Various tests
###############################################################

set expression_state [option expression]
option expression off
set echostate [option echo]
##########################################

textcolor yellow
puts "Miscellaneous tests ..."
textcolor
newline

textcolor yellow
puts "testing mis-spelled command 'teckstcolour..."
puts "IGNORE ANY ERRORS!"
textcolor
if {! [catch teckstcolour]} {
	die "Failed to \[catch\] mis-spelled command"
}

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
option echo $echostate
option expression $expression_state

unset echostate expression_state -nocomplain

vars

newline
textcolor green
puts "* Done *"
textcolor

# EOF #
