##############################################################################
# File: 			test_puts.tcl
# Purpose:			Visual tests. Not a unit test
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 11/Mar/2022	First version
##############################################################################
# Notes:
##############################################################################

set s "Hello"
puts puts->$s		# Should be 'Hello'
echo echo->$s
newline

set s "{hello}"		# Activestate is '{hello}'
puts puts->$s
echo echo->$s
newline

echo "Should be 'hello'"
set s {hello}
puts puts->$s		# Activestate is 'hello'
echo echo->$s
newline

echo "Should be '{hello}'"
set s {{hello}}		# Activestate is '{hello}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{foo bar}'"
set s "{foo bar}"	# Activestate is '{foo bar}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{{foo bar}}'"
set s "{{foo bar}}"		# Activestate is '{{foo bar}}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{foo bar}'"
set s {{foo bar}}		# Activestate is '{foo bar}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{{{foo bar}}}'"
set s "{{{foo bar}}}"		# Activestate is '{{{foo bar}}}'
puts puts->$s
echo echo->$s
newline

echo  "Should be: '{{{foo {bar}}}}'"
set s "{{{foo {bar}}}}"		# Activestate is '{{{foo {bar}}}}'
puts puts->$s
echo echo->$s
newline

echo  "Should be: '{foo bar} {moo par}'"
set s "{foo bar} {moo par}"		# Activestate is '{foo bar} {moo par}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{foo bar} {moo par}'"
set s {{foo bar} {moo par}}		# Activestate is '{foo bar} {moo par}'
puts puts->$s
echo echo->$s
newline

echo "Should be: '{{foo bar} {moo par}}'"
set s "{{foo bar} {moo par}}"		# Activestate '{{foo bar} {moo par}}'
puts puts->$s
echo echo->$s
newline

set s "{{foo {bar}} {moo par}}"		# Activestate '{{foo {bar}} {moo par}}'
puts puts->$s
echo echo->$s
newline

set s "{{{foo {bar}} {moo par}}}"		# Activestate '{{{foo {bar}} {moo par}}}'
puts puts->$s
echo echo->$s
newline

textcolor green
puts "* Done *"
textcolor

# EOF #