######################################################################################
# File: 			test_repeat.tcl
# Purpose:			Test [string range]
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 09/Feb/2022	First version
######################################################################################
# Notes:
######################################################################################

option echo on

textcolor yellow
puts "Test \[string repeat\] ..."
textcolor
newline

# string repeat char n
assert [string repeat A 0] {eq $_ ""} -v -line #__LINE__
assert [string repeat A 1] {eq $_ "A"} -v -line #__LINE__
assert [string repeat A 2] {eq $_ "AA"} -v -line #__LINE__
newline

assert [string repeat x -1]  {eq $_ ""} -v -line #__LINE__
assert [string repeat x 0]  {eq $_ ""} -v -line #__LINE__
assert [string repeat x 1]  {eq $_ "x"} -v -line #__LINE__
assert [string repeat x 5 -]  {eq $_ "x-x-x-x-x"} -v -line #__LINE__
assert [string repeat x 5 " "]  {eq $_ "x x x x x"} -v -line #__LINE__
assert [string repeat x 5 "  "]  {eq $_ "x  x  x  x  x"} -v -line #__LINE__
assert [string repeat x 5 ""]  {eq $_ "xxxxx"} -v -line #__LINE__
assert [string repeat x 5 [chr 0]]  {eq $_ "xxxxx"} -v -line #__LINE__


######################################################################################
vars
newline

textcolor green
puts "* Done *"
textcolor

# EOF # 