######################################################################################
# File: 			test_source_return.tcl
# Purpose:			Test for example ticol.dll C++ stub EXE
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
# Dependencies:		return.tcl
#
# Versions:
# 1.00 04/Mar/2021	First version
######################################################################################
# Notes: 
# See: return.tcl for notes
# Single root return works okay
# return nested in an if block doesn't return
# return action scope is limited to the enclosing statement and does not cascade down all levels
######################################################################################
option expression off

set i 0
puts "return.tcl returned [source return.tcl]"

newline
textcolor green
puts "* Done *"
textcolor

# EOF #