##################################################################
# File: 			test_swap.tcl
# Purpose:			Test file for [swap]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.25+
#
# Versions:
# 1.00 16/Dec/2017	First version
##################################################################
# Notes:
# Renames the two variables
# Add upvar swap
##################################################################

option expression off

unset a b -nocomplain

textcolor yellow
puts "[info script] Testing \[swap\]"
textcolor

set a 1
set b 10
swap a b

assert $a {== $_ 10} -v -line #__LINE__
assert $b {== $_ 1} -v -line #__LINE__

unset a b -nocomplain
vars

############################################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #