###################################################################################
# File: 			test_undef.tcl
# Purpose:			Test [undef]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 28/Jun/2018	First version
###################################################################################
# Notes:
###################################################################################

option expression off
option echo on

puts "Line: "#__LINE__

undef foo -nocomplain
proc foo {} {
	puts "hello from foo"
}

puts "Line: "#__LINE__
assert [defined foo] {== $_ $::true} -v -line #__LINE__
undef foo
assert [defined foo] {== $_ $::false} -v -line #__LINE__


puts "Line: "#__LINE__
proc {} {} {
	# Unnamed proc
}
puts "Line: "#__LINE__
assert [defined {}] {== $_ $::true} -v -line #__LINE__
undef {}
assert [defined {}] {== $_ $::false} -v -line #__LINE__

puts "Line: "#__LINE__
vars

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
newline
textcolor green
puts "* Done *"
textcolor

# EOF #