######################################################################################
# File: 			test_walk.tcl
# Purpose:			Test for [walk]
# Author: 			M Shaw
# Language:			Ticol Tcl v1.24+
#
# Versions:
# 1.00 16/Oct/2017	First version
######################################################################################
# Notes: 
# Not a formal test
######################################################################################

textcolor yellow
puts "Testing \[walk]\ ..."
textcolor
newline

if {! [defined mar]} {
	proc mar {} {
		set r "In proc bar"
		set set_level_[info level] [info level]
		walk 2
		walk 2 -level 0
	}
}

if {! [defined bar]} {
	proc bar {} {
		set r "In proc bar"
		set set_level_[info level] [info level]
		walk 2
		#mar
	}
}

if {! [defined foo]} {
	proc foo {} {
		set q "In proc foo"
		set set_level_[info level] [info level]
		walk 2
		bar
	}
}

walk 2
foo

#############################################################
newline
textcolor green
puts "* Done *"
textcolor

# EOF #