###################################################################################################
# File:				test_win_moveto.tcl
# Author:			M Shaw
# Purpose:			Testing [win moveto] and [win lineto]
# Language:			Ticol Tcl v1.26+
#
# Versions:
# 1.00 09/Jun/2022	First version
###################################################################################################
# Notes:
# ADD INI file with configurable text
# ADD Maybe read file from a text file?
# DONE Another nice potential screensaver...
###################################################################################################
option expression off

lib ticol_win

win create # -fullscreen -closeonlostfocus -movequit
win cursor hide
set font_size 18

sub draw {

	set x [rnd 100 600]
	set y [rnd 100 500]
	win moveto $x $y
	loop 50 {
		set x [rnd 100 600]
		set y [rnd 100 500]
		win lineto $x $y white 1 
		win moveto $x $y
	}
}
draw

while {win active} {
	if {win paint} {
		draw
	}
	sleep 10
}

win close
lib ticol_win -unload