#########################################################################################################
# File:				lowdham_win.tcl
# Purpose:			Test file for the implementation of ticol_win.dll plugin
# Author:			M Shaw
# Language:			Ticol Tcl
# 
# Versions:
# 1.00 06/May/2022	First version (including plugin)
#########################################################################################################
# Notes:
# Test lib locking for ticol_win.dll
# Is locked by [win open] and released by [win close]
#########################################################################################################

puts "Loading ticol_win"
lib ticol_win

puts "Creating a window..."
set h [win create]
puts "created window as $h"

set i 0
while {! [inkey]} {
	if {> $i 5} {win close $h}
	catch {lib ticol_win -unload}
	doevents
	sleep 100
	++ i
	if {! [defined win]} {break}
}

puts "End loop in [info script]"

/*

if {$h} {
	win box $h 1 1 80 20 black grey
	# win line $h 10 10 100 100 blue 12
	win line $h 300 200 350 150 black 3	

}

# lib ticol_win -unload

while {win active $h} {		# DONE Move doevents to [win active]
	#doevents
	sleep 100				# VITAL
}
# win close $h

lib ticol_win -unload

puts "Still here"

# */
#########################################################################################################

# EOF #